=== debian/changelog ===
cppreference-doc (20140208+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #645513)
  * Repack upstream tarball to conform to the Debian Free Software Guidelines
    - include the original wiki-text from which the documentation can be
      regenerated if imported into a MediaWiki wiki.
    - include source of minified CSS and JS files

 -- Povilas Kanapickas <povilas@radix.lt>  Sat, 08 Feb 2014 00:00:00 +0000
