=== debian/control ===
Source: cppreference-doc
Priority: optional
Maintainer: Povilas Kanapickas <povilas@radix.lt>
Build-Depends: debhelper (>= 9), xsltproc, python, python-lxml, python3, python3-lxml, qt4-dev-tools
Standards-Version: 3.9.5
Section: doc
Homepage: http://en.cppreference.com/w/Cppreference:Archives
Vcs-Browser: https://github.com/p12tic/cppreference-doc-debian
Vcs-Git: git://github.com/p12tic/cppreference-doc-debian.git

Package: cppreference-doc-en-html
Architecture: all
Depends: fonts-dejavu-core, lynx | www-browser, ${misc:Depends}
Recommends:
Description: C and C++ standard library reference (English, Devhelp variant)
 A version of online C and C++ standard library reference manual available at
 en.cppreference.com, suitable for viewing offline.
 .
 This package contains a Devhelp book.

Package: cppreference-doc-en-qch
Architecture: all
Depends: fonts-dejavu-core, qt4-dev-tools | qttools5-dev-tools, ${misc:Depends}
Recommends:
Description: C and C++ standard library reference (English, Qt Help variant)
 A version of online C and C++ standard library reference manual available at
 en.cppreference.com, suitable for viewing offline.
 .
 This package contains a Qt Help book.
