=== debian/changelog ===
cppreference-doc (20140827+dfsg0-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1388644)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 09 Nov 2014 11:49:30 +0100

cppreference-doc (20140827+dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Drop dependencies on python and python-lxml as v3 counterparts are used
    exclusively.

 -- Povilas Kanapickas <povilas@radix.lt>  Wed, 27 Aug 2014 00:00:00 +0000
