=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cppreference-doc
 Priority: optional
 Maintainer: Povilas Kanapickas <povilas@radix.lt>
-Build-Depends: debhelper (>= 9), xsltproc, python, python-lxml, python3, python3-lxml, qt4-dev-tools
+Build-Depends: debhelper (>= 9), xsltproc, python3, python3-lxml, qt4-dev-tools
 Standards-Version: 3.9.5
 Section: doc
 Homepage: http://en.cppreference.com/w/Cppreference:Archives
