## cppreference-doc 20151129%2Bdfsg0

=== debian/changelog ===
cppreference-doc (20151129+dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches
    - drop 03-remove_extra_license_files.patch; license files removed when
      repacking the archive.
    - update 02-force-utf8-encoding.patch

 -- Povilas Kanapickas <povilas@radix.lt>  Fri, 4 Dec 2015 00:00:00 +0000
