=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Povilas Kanapickas <povilas@radix.lt>
 Build-Depends: debhelper (>= 9), xsltproc, python3, python3-lxml, qt4-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: doc
 Homepage: http://en.cppreference.com/w/Cppreference:Archives
 Vcs-Browser: https://github.com/p12tic/cppreference-doc-debian
