=== debian/changelog ===
cppreference-doc (20170409-2) unstable; urgency=low

  * Override source-is-missing for files that have their real source in the
    archive
  * Override insane-line-length-in-source file for files that have their
    real source in the archive

  [ Rik Mills ]
  * Fix FTBFS with Qt5.
    - debian/rules: export QT_SELECT := qt5
    - debian/patches: upstream_fix-qch-build.patch

  [ Michael R. Crusoe ]
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Secure URI in copyright format
  * Remove old boilerplate from debian/rules
  * Remove trailing whitespace in debian/rules
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Fix field name typos in debian/copyright.
  * debian/watch: find new upstream versions

 -- Povilas Kanapickas <povilas@radix.lt>  Thu, 16 Jan 2020 00:00:00 +0000

cppreference-doc (20170409-1.1) unstable; urgency=medium

  * Build using Qt5 (Closes: #874862)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 02 Sep 2019 20:26:32 +0200

cppreference-doc (20170409-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches
    - drop 02-force-utf8-encoding.patch: integrated upstream
  * Override license-problem-gfdl-invariants warning for file that is actually
    licensed under GFDL-NIV.

 -- Povilas Kanapickas <povilas@radix.lt>  Sun, 9 Apr 2017 00:00:00 +0000
