=== debian/control ===
Source: cppreference-doc
Maintainer: Povilas Kanapickas <povilas@radix.lt>
Section: doc
Priority: optional
Build-Depends: debhelper-compat (= 12),
               xsltproc,
               python3,
               python3-lxml,
               qttools5-dev-tools
Standards-Version: 4.4.1
Vcs-Browser: https://github.com/p12tic/cppreference-doc-debian
Vcs-Git: https://github.com/p12tic/cppreference-doc-debian.git
Homepage: https://en.cppreference.com/w/Cppreference:Archives

Package: cppreference-doc-en-html
Architecture: all
Depends: fonts-dejavu-core,
         lynx | www-browser,
         ${misc:Depends}
Description: C and C++ standard library reference (English, Devhelp variant)
 A version of online C and C++ standard library reference manual available at
 en.cppreference.com, suitable for viewing offline.
 .
 This package contains a Devhelp book.

Package: cppreference-doc-en-qch
Architecture: all
Depends: fonts-dejavu-core,
         qttools5-dev-tools,
         ${misc:Depends}
Description: C and C++ standard library reference (English, Qt Help variant)
 A version of online C and C++ standard library reference manual available at
 en.cppreference.com, suitable for viewing offline.
 .
 This package contains a Qt Help book.
