=== debian/watch ===
# New source releases appear at https://en.cppreference.com/w/Cppreference:Archives
# in section "Raw archive" once in several months.

version=4

https://en.cppreference.com/w/Cppreference:Archives .*/File:cppreference-doc@ANY_VERSION@@ARCHIVE_EXT@
